using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace GDBGArrayList
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable("MyTable");

            int nCols = 3;
            int nRows = 20;
            Random r = new Random(15345345);

            for (int i = 0; i < nCols; i++)
                dt.Columns.Add(new DataColumn(string.Format("Col{0}", i), typeof(int)));
            dt.Columns.Add(new DataColumn(string.Format("CheckBoxColumn"), typeof(bool)));

            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < nCols; j++)
                    dr[j] = r.Next(10);
                dr["Col1"] = i % 5;
                dt.Rows.Add(dr);
            }

            this.gridDataBoundGrid1.DataSource = dt;

            this.gridDataBoundGrid1.Model.QueryCellInfo += new GridQueryCellInfoEventHandler(Model_QueryCellInfo);

            this.gridDataBoundGrid1.ListBoxSelectionMode = SelectionMode.One;
            this.gridDataBoundGrid1.SortBehavior = GridSortBehavior.SingleClick; 
            
        }

        void Model_QueryCellInfo(object sender, GridQueryCellInfoEventArgs e)
        {
            e.Style.Enabled = false;
            e.Style.ReadOnly = true;
        }

        
       
    }
}